Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Event Description

Meetup Time Sat, Jun 8, 2024 17:15
Location Montpellier (Slots)
Destination Dijon (City)
Main Language English
Communication https://dulcis.org/discord
Link https://dulcis.org

DLCs Requirements


Event Information


Attending (17)

User
corgil527
6 days ago
User
FamousPerson
1 week ago
User
iAmJohnMcManus
1 week ago
User
LovelyPiggy
1 week ago
User
LonelySlowly
1 week ago
User
[GER] Marv
1 week ago
User
EisenWolf
1 week ago
User
Celled_organism
1 week ago
User
Bеаn
1 week ago
User
Andreas
1 week ago
User
Surfing08
2 weeks ago
User
Vaflis_
2 weeks ago
User
SammyTech132
3 weeks ago
User
micaelinv
1 month ago
User
Acesteely20
1 month ago
User
Оwen
1 month ago
User
djoh
1 month ago

Unsure (0)